(function ($) {
    "use strict";

    $(function () {
            $("#scanner").click(() => {
                $("#scanner").attr("disabled", "disabled");
                $("#scanner_result").empty();
                $("#scanner_result").append(
                    '<div class="meta-box-sortables ui-sortable"> \
                        <h2 id="title"><span style="padding-left: 10px;"><div class="spinner is-active" style="float:none;width:auto;height:auto;padding:0px 0 10px 50px;background-position:20px 0;">Scanner in progress...</span></h2> \
                    </div> \
                    <div id="results"></div>'
                );

                var postdata = "action=scanner_data_malware&param=first_simple_ajax";

                jQuery.post(ajaxurl, postdata, (response) => {
                    show_scanner_result(response);
                });
            });

            function show_scanner_result(response) {
                response = JSON.parse(response);

                $("#title").empty();

                let last_date = "";
                if (response.data.last_result) {
                    last_date = `<span class='date-show'>Last result: ${new Date(
                        response.data.last_result
                    ).toLocaleDateString("en-US")}</span>`;
                } else {
                    $("#title").append(
                        '<span style="padding-left: 10px;">Finished scanner</span>'
                    );
                }

                if (response.data.corrupted_files.length > 0) {
                    var files = "";
                    for (
                        var index = 0;
                        index < response.data.corrupted_files.length;
                        ++index
                    ) {
                        files += `<tr class="${
                            index % 2 === 0 ? "alternate" : ""
                        }"><td class="row-title"><label for="tablecell">${
                            response.data.corrupted_files[index]
                        }</label></td></tr>`;
                    }

                    var corrupted = `<table class="widefat">${files}</table>`;
                } else {
                    var corrupted = `<table class="widefat"><tr><td class="row-title"><label for="tablecell">No corrupted files were found</label></td></tr></table>`;
                }
                if (response.data.suspicious_file.length > 0) {
                    var files = "";
                    for (
                        var index = 0;
                        index < response.data.suspicious_file.length;
                        ++index
                    ) {
                        files += `<tr class="${
                            index % 2 === 0 ? "alternate" : ""
                        }"><td class="row-title"><label for="tablecell">${
                            response.data.suspicious_file[index]
                        }</label></td></tr>`;
                    }

                    var suspicious = `<table class="widefat">${files}</table>`;
                } else {
                    var suspicious = `<table class="widefat"><tr><td class="row-title"><label for="tablecell">No corrupted files were found</label></td></tr></table>`;
                }

                var geral = `<div class="border-orange-lines">
                <table class="orange-lines">
                    <tr class="alternate">
                        <td class="row-title"><label for="tablecell" class="table-general-title-text">Checked files</label></td>
                        <td><label>${response.data.checked_files ? response.data.checked_files : 0}</label></td>
                    </tr>
                    <tr>
                        <td class="row-title"><label for="tablecell" class="table-general-title-text">Total corrupted files</label></td>
                        <td><label>${
                        response.data.corrupted_files
                            ? response.data.corrupted_files.length
                            : 0
                    }</label></td>
                    </tr>
                    <tr class="alternate">
                        <td class="row-title"><label for="tablecell" class="table-general-title-text">Total suspicious file</label></td>
                        <td><label>${
                        response.data.suspicious_file
                            ? response.data.suspicious_file.length
                            : 0
                    }</label></td>
                    </tr>
			    </table>
                </div>`;

                var tabs =
                    '<div id="wp-sec-submenu"> ' +
                    '<ul class="wp-sec-submenu-list">' +
                    '<li><a id="geral" class="nav-tab-logs nav-tab-active-blue">Geral</a></li> ' +
                    '<li><a id="corrupted" class="nav-tab-logs">Corrupted files</a></li> ' +
                    '<li><a id="suspicious" class="nav-tab-logs">Suspicious file</a></li> ' +
                    '</ul>' +
                    '</div>' +
                    '<br/>';
                $("#scanner_tabs").append(tabs);
                $("#results").append(geral);
                $("#scanner").removeAttr("disabled");

                $("#wp-sec-submenu").on("click", ".nav-tab-logs", function (
                    event
                ) {
                    const el = document.getElementsByClassName("nav-tab-logs");
                    for (let index = 0; index < el.length; index++) {
                        const element = el[index];
                        if (element.classList.contains("nav-tab-active-blue")) {
                            element.classList.remove("nav-tab-active-blue");
                        }
                    }
                    $("#results").empty();

                    if (event.target.id === "corrupted") {
                        $("#results").append(corrupted);
                    } else if (event.target.id === "suspicious") {
                        $("#results").append(suspicious);
                    } else {
                        $("#results").append(geral);
                    }
                    event.target.classList.add("nav-tab-active-blue");
                });
            }

            jQuery.post(ajaxurl, "action=last_scanner", (response) => {
                if (response) {
                    $("#scanner").attr("disabled", "disabled");
                    $("#scanner_result").empty();
                    $("#scanner_result").append(
                        '<div class="meta-box-sortables ui-sortable"> \
                                          <h2 id="title"><span style="padding-left: 10px;"><div class="spinner is-active" style="float:none;width:auto;height:auto;padding:0px 0 10px 50px;background-position:20px 0;">Scanner in progress...</span></h2> \
                                          <div id="tabs-result"></div> \
                                          <div id="results"></div> \
                                      </div>'
                    );

                    show_scanner_result(response);
                }
            });
        }
    );
})(jQuery);
